ランタイム: Mix::Scene::IFloor Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IFloor Class Referenceabstract

フロアインターフェース More...

`#include <IFloor.h>`

Inheritance diagram for Mix::Scene::IFloor:
[legend]
Collaboration diagram for Mix::Scene::IFloor:
[legend]

## Public Member Functions

virtual Boolean | GetDynamicsObject (Mix::Scene::IDynamicsObject **ppDynamicsObject)=0
| ダイナミクスオブジェクトを取得します More...
virtual Mix::Quaternion | GetWorldRotation (void) const =0
| ワールドの回転を取得します More...
virtual void | SetWorldRotation (const Mix::Quaternion &rot)=0
| ワールドの回転を設定します More...
virtual Int32 | GetUserIndex (void) const =0
| ユーザーインデックスを取得します More...
virtual void | SetUserIndex (Int32 index)=0
| ユーザーインデックスを設定します More...
virtual void * | GetUserPtr (void) const =0
| ユーザーポインタを取得します More...
virtual void | SetUserPtr (void *pData)=0
| ユーザーポインタを設定します More...
virtual Float32 | Debug_GetDrawInterval (void) const =0
| ワイヤーフレームのラインの間隔を取得します More...
virtual void | Debug_SetDrawInterval (Float32 interval)=0
| ワイヤーフレームのラインの間隔を設定します More...
virtual UInt32 | Debug_GetDrawExtent (void) const =0
| ワイヤーフレームの広さを取得します More...
virtual void | Debug_SetDrawExtent (UInt32 extent)=0
| ワイヤーフレームの広さを設定します More...
Public Member Functions inherited from Mix::Scene::IRendererObject
virtual Mix::Scene::IRendererObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | IsRendering (void) const =0
| レンダリングされているかどうかを確認します。 More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IFloor (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IRendererObject
virtual | ~IRendererObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Scene::IRendererObject

enum

TYPE {
UNDEFINED = 0, UNIVERSAL_CAMERA = 1, VIEW_CAMERA = 2, HEMISPHERE_LIGHT = 3,
DIRECTIONAL_LIGHT = 4, SPOT_LIGHT = 5, POINT_LIGHT = 6, SKY_DOME = 7,
ATMOSPHERE_SCATTER = 8, LIGHT_SHAFTS_CASTER = 9, ACTOR_NODE = 10, ACTOR_MODEL = 11,
TERRAIN_MODEL = 12, LEAVING_PARTICLE = 13, SCATTER_PARTICLE = 14, PLANTER = 15,
WATER_POOL = 16, DYNAMICS_WORLD = 17, FLOOR = 18, GHOST = 19
}

| タイプ列挙定数 More...

## Detailed Description

フロアインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::IFloor::~IFloor | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Boolean Mix::Scene::IFloor::GetDynamicsObject | ( | Mix::Scene::IDynamicsObject ** | ppDynamicsObject | ) |

pure virtual

ダイナミクスオブジェクトを取得します

Parameters

  [out] | ppDynamicsObject | 取得したダイナミクスオブジェクトを渡す Mix::Scene::IDynamicsObject インターフェースのポインタのアドレス

Returns
  取得に成功した場合は True を返します

Note
  取得したダイナミクスオブジェクト( Mix::Scene::ISimpleCollider )の参照カウンタを +1 します。

virtual Mix::Quaternion Mix::Scene::IFloor::GetWorldRotation | ( | void |  | ) | const

pure virtual

ワールドの回転を取得します

Returns
  回転を表す Mix::Quaternion クラスを返します

virtual void Mix::Scene::IFloor::SetWorldRotation | ( | const Mix::Quaternion & | rot | ) |

pure virtual

ワールドの回転を設定します

Parameters

  [in] | rot | 回転を表す Mix::Quaternion クラス

virtual Int32 Mix::Scene::IFloor::GetUserIndex | ( | void |  | ) | const

pure virtual

ユーザーインデックスを取得します

Returns
  インデックスを返します

virtual void Mix::Scene::IFloor::SetUserIndex | ( | Int32 | index | ) |

pure virtual

ユーザーインデックスを設定します

Parameters

  index | インデックス

Note
  この値はユーザーが自由に使用できます

virtual void* Mix::Scene::IFloor::GetUserPtr | ( | void |  | ) | const

pure virtual

ユーザーポインタを取得します

Returns
  ポインタを返します

virtual void Mix::Scene::IFloor::SetUserPtr | ( | void * | pData | ) |

pure virtual

ユーザーポインタを設定します

Parameters

  pData | ポインタ

Note
  この値はユーザーが自由に使用できます

virtual Float32 Mix::Scene::IFloor::Debug_GetDrawInterval | ( | void |  | ) | const

pure virtual

ワイヤーフレームのラインの間隔を取得します

Returns
  ラインの間隔を返します

virtual void Mix::Scene::IFloor::Debug_SetDrawInterval | ( | Float32 | interval | ) |

pure virtual

ワイヤーフレームのラインの間隔を設定します

Parameters

  [in] | interval | ラインの間隔

virtual UInt32 Mix::Scene::IFloor::Debug_GetDrawExtent | ( | void |  | ) | const

pure virtual

ワイヤーフレームの広さを取得します

Returns
  広さを返します

virtual void Mix::Scene::IFloor::Debug_SetDrawExtent | ( | UInt32 | extent | ) |

pure virtual

ワイヤーフレームの広さを設定します

Parameters

  [in] | extent | 広さ

Note
  実際の広さ( ラインの間隔 * ( 広さ + 1 ) )になります

The documentation for this class was generated from the following file:

- Mix/Scene/IFloor.h